Skip to main content
GET
Get wallet stake over time

Authorizations

x-api-key
string
header
required

API key for authentication. Get your key at https://voyager.online/plans

Query Parameters

timerange
enum<string>
default:1m

Time window for historical data: "1w" (1 week), "1m" (1 month), "3m", "6m", "1y", or "max". Defaults to "1m".

Available options:
max,
1y,
1m,
1w
address
string
required

Starknet wallet address (0x-prefixed hex).

Pattern: ^(0x[0-9a-fA-F]{1,66})$

Response

object[] | null

Wallet stake over time data

date
string
required
totalStakeChangeStrk
string
required
totalStakeChangeBtc
string
required
totalStakeStrk
string
required
totalStakeBtc
string
required